### Enumeration

# Ide DiagnosticSeverity

#### Declaration

    enum Ide.DiagnosticSeverity

#### Description

No description available.

#### Members

Name | Description
--- | ---
`IDE_DIAGNOSTIC_IGNORED` | No description available.
`IDE_DIAGNOSTIC_NOTE` | No description available.
`IDE_DIAGNOSTIC_UNUSED` | No description available.
`IDE_DIAGNOSTIC_DEPRECATED` | No description available.
`IDE_DIAGNOSTIC_WARNING` | No description available.
`IDE_DIAGNOSTIC_ERROR` | No description available.
`IDE_DIAGNOSTIC_FATAL` | No description available.

#### Type functions

###### ide_diagnostic_severity_to_string

Returns a string suitable to represent the diagnsotic severity.

Available since: 3.32